<?php if ( !defined( 'ABSPATH' ) ) {
	die;
} // Cannot access pages directly.
/**
 *
 * Field: spinner
 *
 * @since 1.0.0
 * @version 1.0.0
 *
 */
if ( !class_exists( 'OVIC_Field_spinner' ) ) {
	class OVIC_Field_spinner extends OVIC_Fields
	{
		public function __construct( $field, $value = '', $unique = '', $where = '', $parent = '' )
		{
			parent::__construct( $field, $value, $unique, $where, $parent );
		}

		public function render()
		{
			$args = wp_parse_args( $this->field, array(
					'max'  => 100,
					'min'  => 0,
					'step' => 1,
					'unit' => '',
				)
			);

			echo $this->field_before();
			echo '<div class="ovic--spin">';
			echo '<input type="text" name="' . $this->field_name() . '" value="' . $this->lang_value . '"' . $this->field_attributes() . ' data-max="' . $args['max'] . '" data-min="' . $args['min'] . '" data-step="' . $args['step'] . '"/>';
			echo ( !empty( $args['unit'] ) ) ? '<div class="ovic--unit">' . $args['unit'] . '</div>' : '';
			echo '</div>';
			echo '<div class="clear"></div>';
			echo $this->field_after();
		}

		public function enqueue()
		{
			if ( !wp_script_is( 'jquery-ui-spinner' ) ) {
				wp_enqueue_script( 'jquery-ui-spinner' );
			}
		}

		public function output()
		{
			$output    = '';
			$elements  = ( is_array( $this->field['output'] ) ) ? $this->field['output'] : array_filter( (array)$this->field['output'] );
			$important = ( !empty( $this->field['output_important'] ) ) ? '!important' : '';
			$mode      = ( !empty( $this->field['output_mode'] ) ) ? $this->field['output_mode'] : 'width';
			$unit      = ( !empty( $this->field['unit'] ) ) ? $this->field['unit'] : 'px';

			if ( !empty( $elements ) && isset( $this->lang_value ) && $this->lang_value !== '' ) {
				foreach ( $elements as $key_property => $element ) {
					if ( is_numeric( $key_property ) ) {
						if ( $mode ) {
							$output = implode( ',', $elements ) . '{' . $mode . ':' . $this->lang_value . $unit . $important . ';}';
						}
						break;
					} else {
						$output .= $element . '{' . $key_property . ':' . $this->lang_value . $unit . $important . '}';
					}
				}
			}

			$this->parent->output_css .= $output;

			return $output;
		}
	}
}
